#include <iostream>
#define endl '\n';
using namespace std;
long long l;
int a, b;
long long br = 0, sm = 0;
void tllt(){

    while(sm<=l){
        br++;
        sm+=a;
        a+=b;
    }
    cout << br << endl;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin >> l >> a >> b;
    tllt();
    return 0;
}
